
Redmine - Defect #3707

{{toc}} doesn't work with {{include}}

2009-08-03 08:41 - Toshiya TSURU

Status: Closed Start date: 2009-08-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 1.1.0   

Resolution: Fixed Affected version: 0.8.4

Description

{{toc}} macro doesn't recognize h1,h2..hn inside included page.

Related issues:

Has duplicate Redmine - Defect #5888: {{toc}} macro doesn't get headers from ... Closed 2010-07-15

Associated revisions

Revision 4376 - 2010-11-06 18:47 - Jean-Philippe Lang

Extract headings and TOC parsing from the textile formatter.

Fixes #2038 and #3707 and will allow to support TOC with other text formatters.

History

#1 - 2009-08-05 14:35 - Oskar Nordquist

I have the same issue. Does anyone have any idea how this can be fixed? An ugly hack is fine by me.

#2 - 2010-05-05 10:36 - ha thach

+1 for this, also think the toc of included page should not be displayed on including page

#3 - 2010-07-19 23:28 - Mischa The Evil

- Category set to Wiki

#4 - 2010-11-06 18:41 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 1.1.0

- Resolution set to Fixed

Fixed in r4376.
